#include <./Arduino.h>
#include "day.h"

// プロトタイプ宣言
void GreetingNight();
void SetTimeNight(S_CONTEXT* context, unsigned int time);

// 現在の時間
unsigned int nightHour;

// インスタンス
static STATE night = {
	GreetingNight,
	SetTimeNight
};

// インスタンスを返す
STATE* GetNightInstans(void) {
    return &night;
}

// 挨拶 (状態の処理)
void GreetingNight() {
  Serial.print("こんにちは。今日はいい天気ですね！今は");
  Serial.print(nightHour);
  Serial.print("時です。\n");
}

// 時間をセットする
void SetTimeNight(S_CONTEXT* context, unsigned int time) {
	nightHour = time;
	if (5 < nightHour && nightHour < 17) {
		// 状態を昼に変更
		context->ChangeState(GetDayInstans());
	}
}
